from db import dbGetMany, dbGetOne

def getCommercialPremises(user, token_info):
    return dbGetMany(user, token_info, 
        {
            "statement": """
SELECT id, description, premise
  FROM commercial_premise_t
                         """,
            "params": ()
        }
    )

def getCommercialPremise(user, token_info, commercialPremiseId=None):
    return dbGetOne(user, token_info, 
        {
            "statement": """
SELECT id, description, premise
  FROM commercial_premise_t
  WHERE id = %s
                         """, 
            "params": (commercialPremiseId, )
        }
    )

def getFlats(user, token_info):
    return dbGetMany(user, token_info, 
        {
            "statement": """
SELECT id, description, premise, area, flat_no
  FROM flat_t
                         """,
            "params": ()
        }
    )

def getFlat(user, token_info, flatId=None):
    return dbGetOne(user, token_info, 
        {
            "statement": """
SELECT id, description, premise, area, flat_no
  FROM flat_t
  WHERE id = %s
                         """, 
            "params": (flatId, )
        }
    )

def getParking(user, token_info):
    return dbGetMany(user, token_info, 
        {
            "statement": """
SELECT id, description, premise
  FROM parking_t
                         """,
            "params": ()
        }
    )

def getParking(user, token_info, parkingId=None):
    return dbGetOne(user, token_info, 
        {
            "statement": """
SELECT id, description, premise
  FROM parking_t
  WHERE id = %s
                         """, 
            "params": (parkingId, )
        }
    )

